org.apache.solr.client.solrj.request

## Class JavaBinUpdateRequestCodec

- java.lang.Object
- - org.apache.solr.client.solrj.request.JavaBinUpdateRequestCodec

-     public class JavaBinUpdateRequestCodec
      extends Object

  Provides methods for marshalling an UpdateRequest to a NamedList which can be serialized in the javabin format and vice versa.
  Since:
    solr 1.4
  See Also:
    `JavaBinCodec`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `JavaBinUpdateRequestCodec.StreamingUpdateHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaBinUpdateRequestCodec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `marshal(UpdateRequest updateRequest, OutputStream os)` Converts an UpdateRequest to a NamedList which can be serialized to the given OutputStream in the javabin format
    `UpdateRequest` | `unmarshal(InputStream is, JavaBinUpdateRequestCodec.StreamingUpdateHandler handler)` Reads a NamedList from the given InputStream, converts it into a SolrInputDocument and passes it to the given StreamingUpdateHandler

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaBinUpdateRequestCodec

          public JavaBinUpdateRequestCodec()

  - ### Method Detail

    - #### marshal

          public void marshal(UpdateRequest updateRequest,
                              OutputStream os)
                       throws IOException

      Converts an UpdateRequest to a NamedList which can be serialized to the given OutputStream in the javabin format
      Parameters:
        `updateRequest` - the UpdateRequest to be written out
        `os` - the OutputStream to which the request is to be written
      Throws:
        `IOException` - in case of an exception during marshalling or writing to the stream

    - #### unmarshal

          public UpdateRequest unmarshal(InputStream is,
                                         JavaBinUpdateRequestCodec.StreamingUpdateHandler handler)
                                  throws IOException

      Reads a NamedList from the given InputStream, converts it into a SolrInputDocument and passes it to the given StreamingUpdateHandler
      Parameters:
        `is` - the InputStream from which to read
        `handler` - an instance of StreamingUpdateHandler to which SolrInputDocuments are streamed one by one
      Returns:
        the UpdateRequest
      Throws:
        `IOException` - in case of an exception while reading from the input stream or unmarshalling

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.